<?php /** @var $block \MyParcelCOM\Magento\Block\Sales\OrdersAction */ ?>
<script type="text/x-magento-init">
   {
       ".page-footer": {
           "myparcelcom_massaction": {
                "has_api_key": <?= $block->hasApiKey();?>,
                "url": "<?= $block->getOrderAjaxUrl(); ?>",
                "settings": <?= $block->getPrintSettings(); ?>,
                "button_present": false,
                "action_options": {
                    "request_type": false,
                    "package_type": false,
                    "package_type-mailbox": false,
                    "print_position": true
                }
           }
        }
   }
</script>

<script>
    var mp_url_check_file_availability  = "<?= $block->getCheckShipmentFileAvailabilityAjaxUrl(); ?>";
    var mpAjaxCall;
</script>